Skip to main content

Techdocs Library > Hints, tips & Technotes >

IBM i 7.3 JD Edwards Technical Note



Document Author:

Mike Breitbach


Document ID:

TD106409


Doc. Organization:

IBM Systems


Document Revised:

09/11/2017


Product(s) covered:

IBM i







Abstract: Information for installing or running JD Edwards (Oracle) solutions, EnterpriseOne and World, on IBM i 7.3

IBM i 7.3 JD Edwards (Oracle) EnterpriseOne & World Technical Note
Last updated 8 September 2017

Overview

This technical note contains information for installing or running JD Edwards (Oracle) EnterpriseOne and World products on IBM i 7.3. This includes required PTFs for IBM i and related operating system components, minimum levels supported for EnterpriseOne and World software, or other information on known problems and restrictions.

Before upgrading to a new IBM i OS release, you should review the Memo To Users for any changes that may impact your environment. The link below will get you to the IBM i 7.3 documentation in the Knowledge Center. There you will find a link for the Memo To Users under Getting Started.
https://www.ibm.com/support/knowledgecenter/ssw_ibm_i_73/rzahg/welcome.htm

Supported Software & Certifications

Oracle support for EnterpriseOne and World on IBM i 7.3 became available in May 2017. Support includes EnterpriseOne tools 9.2.1.x and 9.2.0.x, and World A9.4 and A9.3 update 1.

For details on Oracle certifications refer to My Oracle Support and the Certifications tab, then search on the specific product (i.e. EnterpriseOne Tools).
https://support.oracle.com

Program Conversion

IBM i 7.3 upgrade path requires that you are on either IBM i 6.1 or 7.1 first. If upgrading from IBM i V5R4 in a two step conversion please refer to Info APAR II14493 for details on program conversion.

http://www-01.ibm.com/support/docview.wss?uid=nas23e2bafd88651ac0e86257719003c6d3e

Known Problems and Recommended PTFs

EnterpriseOne - Remote Database Errors

Problem: Starting the EnterpriseOne server when the database is remote (on another IBM i server) fails. The following errors in the JDE log file (Security Kernel) are an example of this error: SQL0313 (Open cursor Crsr3), SQL0189 (Fetch), SQL0030 (Fetch).

Fix: PTF SI65716 should be applied to all IBM i 7.3 servers, both the EnterpriseOne application server (source), and the remote database server (target). When the source and target IBM i systems are at different OS levels, only those systems using IBM i 7.3 need to apply the PTF.

IBM i PTFs

PTFs are not listed out individually below once they are part of the latest group PTF or cumulative release. Therefore, it is STRONGLY recommended that you put in place a process to regularly obtain and apply the latest update of the Cumulative Group PTF and the Database Group to your system.

Any PTFs required by Oracle solutions which are NOT included in the database group PTF or latest Cumulative, are listed separately above.

The most current IBM i 7.3 CUM and HIPER PTFs are strongly recommended as a minimum set. Other PTF groups which are recommended include the Database Group, Security Group, and HTTP Server Group. Here are some useful links for finding, applying PTF groups.

The following link lists the IBM i Group PTFs for all IBM i releases, including links to the latest:
http://www-01.ibm.com/support/docview.wss?uid=nas4PSPbyNum

The current Cumulative PTF documentation (SF99730) can be found at this link:
http://www-01.ibm.com/support/docview.wss?uid=nas4SF99730

The latest Hiper Group PTF (SF99729) can be found at this link:
http://www-01.ibm.com/support/docview.wss?uid=nas4SF99729

The latest DB2 for i Group PTF (SF99703) can be found at this link:
http://www-01.ibm.com/support/docview.wss?uid=nas4SF99703

Use the WRKPTFGRP command to check the current level of the installed PTF cum and groups on your system. By default WRKPTFGRP will show multiple levels, but you can specify WRKPTFGRP PTFGRPLVL(*LATEST) to only show the latest applied level.

HTTP Server and Web Application Server

If running the HTTP Server and/or Web Application Server for your Oracle EnterpriseOne configuration on IBM i, then you should make sure the relevant group PTFs for these products are kept current.

The latest IBM HTTP Server for i Group PTF (SF99722) can be found at this link:
http://www-01.ibm.com/support/docview.wss?uid=nas4SF99722

The latest Java Group PTF (SF99725) can be found at this link:
http://www-01.ibm.com/support/docview.wss?uid=nas4SF99725

IBM i 7.3 supports WebSphere Application Server (WAS) V8.5.5 fixpack 10 and later, as well as WebSphere Application Server V9. We strongly recommend keeping your WAS software up to date with the latest fixpack. Refer to this link for information on fixpacks for WebSphere on IBM i including instructions on applying the fixpacks.
https://www-03.ibm.com/systems/power/software/i/websphere/fixpack/index.html

In addition, the following tech note covers how to install and update WAS using the IBM Web Administration for i Console – which is a GUI web interface that provides an alternative to the IBM Installation Manager command line interface.
http://www-01.ibm.com/support/docview.wss?uid=nas8N1020070

IBM i Access

Customers that have been using IBM i Access for Windows should migrate to IBM i Access Client Solutions (ACS) as the ACS product includes support for Windows 10 and over time will be the only product to be kept updated. The ACS product includes the Windows Application package which contains the windows specific IBM i database drivers, ODBC and .Net, that are used by Oracle application servers.

IBM i Access Client Solutions link (download, updates, information):
https://www-03.ibm.com/systems/power/software/i/access/solutions.html

The IBM Access Client Solutions Windows Application package ODBC drivers are supported by EnterpriseOne and are the recommended drivers going forward. Refer to this link for information on fixpacks for IBM Access Client Solutions. The most recent service pack of ACS is recommended.

The IBM Access Client Solutions Linux Application package ODBC drivers are NOT supported by EnterpriseOne.

IBM i JDBC Drivers

In the past, many Oracle installations referenced that the Toolbox for Java JDBC driver could be obtained from the IBM Access for Windows product even though that was never the official distribution mechanism. With the new IBM Access Client Solutions (ACS) solution, the Toolbox for Java JDBC is no longer shipped or included. So customers need to understand the proper place for obtaining the Toolbox driver.

Starting in IBM i 7.1 the Toolbox for Java JDBC driver (jt400) has been distributed as part of the operating system, 5770SS1 option 3. Prior to that it was part of a different LP (5722JC1). The proper location for finding the Toolbox for Java JDBC driver is at:

/QIBM/ProdData/OS400/jt400/lib




Classification:

Software

Category:

Planning and Design


ISV(s):

J D Edwards




O/S:

IBM i

Keywords:

EnterpriseOne, World, JD Edwards, Oracle, IBM i 7.3

The Techdocs Library
Is this your first visit to Techdocs (the Technical Sales Library)?

Learn more


Techdocs QuickSearch

: